System.Design 2.0.0.0 System.ComponentModel.Design.Serialization.CodeDomSerializerBase

The class is a "meta" serializer; that is, is a serializer that does not serialize part of the object graph, but instead serializes a reflection primitive within the object graph. For example, a would be associated with a in order for it to serialize a property. objects enable constructs, such as properties and events, to be logical, rather than requiring them to have a physical backing in code.

Unlike classes, objects must be able to deserialize.

Provides the base class for serializing a reflection primitive within the object graph.

- Constructor
  2.0.0.0
  To be added.

  Initializes a new instance of the class.

- Method
  2.0.0.0
  System.Void `` `` `` ``

  This method actually performs the serialization. When the member is serialized the necessary statements will be added to the statements collection.

  Serializes the given member descriptor on the given value to a statement collection.

  The serialization manager to use for serialization. The object to which the member is bound. The descriptor of the member to serialize. The into which is serialized.
- Method
  2.0.0.0
  System.Boolean `` `` ``

  This method returns true if the given member descriptor should be serialized, or false if there is no need to serialize the member.

  Determines if the given member should be serialized.

  true, if the member described by should be serialized; otherwise, false.

  The serialization manager to use for serialization. The object to which the member is bound. The descriptor of the member to serialize.